Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Master
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
      GET
    • Get Passengers
      GET
  • Goals
    • Update KPI
      POST
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. Master

Get Holiday

GET
https://api.gofive.co.th/empeo/api/v1/masters/calendars
Get calendar day off By calendar name and year.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/masters/calendars?calendarName=%E0%B8%A7%E0%B8%B1%E0%B8%99%E0%B8%AB%E0%B8%A2%E0%B8%B8%E0%B8%94&year=2024' \
--header 'Ocp-Apim-Subscription-Key: WPe123a9RKbcfLQNSztr45' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "statusCode": 200,
    "message": "OK",
    "data": [
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-12-31",
                    "holidayName": "วันสิ้นปี"
                }
            ]
        },
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-12-31",
                    "holidayName": "วันสิ้นปี"
                }
            ]
        },
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-01-01",
                    "holidayName": "วันขึ้นปีใหม่"
                }
            ]
        },
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-01-03",
                    "holidayName": "วันขึ้นปีใหม่ (พิเศษ)"
                }
            ]
        },
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-02-08",
                    "holidayName": "วันมาฆบูชา"
                }
            ]
        },
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-04-06",
                    "holidayName": "วันจักรี"
                }
            ]
        },
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-05-01",
                    "holidayName": "วันแรงงานแห่งชาติ"
                }
            ]
        },
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-05-04",
                    "holidayName": "วันฉัตรมงคล"
                }
            ]
        },
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-05-06",
                    "holidayName": "วันวิสาขบูชา"
                }
            ]
        },
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-10-23",
                    "holidayName": "วันปิยมหาราช"
                }
            ]
        },
        {
            "calendarName": "วันหยุด",
            "year": 2024,
            "dayOff": [
                {
                    "date": "2024-12-31",
                    "holidayName": "วันสิ้นปี"
                }
            ]
        }
Modified at 2026-04-28 10:38:27
Previous
Get CustomField
Next
Get MasterSetup
Built with